Subject: Re: [AVTCORE] I-D Action: draft-ietf-avtcore-aria-sdes-00.txt

From: Woo-Hwan Kim <[email-masked]>
Date: Tue, 1 Sep 2015 21:26:06 +0900

Hi.

Thank you for your comment.

>>Re: [AVTCORE] I-D Action: draft-ietf-avtcore-aria-sdes-00.txt
>>Magnus Westerlund <[email-masked]> Tue, 02 June 2015
14:44 UTC
>>
>>Hi,
>>I have reviewed this draft based on the split.
>>
>>1. Section 1:
>>
>>   This document defines Secure Real-time Transport Protocol (SRTP)
>>   [RFC3711] crypto suites based on the the ARIA [RFC5794] block cipher
>>   algorithm for use with the SDP Security Descriptions attributes
>>   [RFC4568].
>>
>>I think this paragraph needs to be rewritten with the goal to make it
clear that it is a SDP >>Security Description definition for what is
defined in [draft-ietf-avtcore-aria-srtp]. As currently >>formulated one
can get the impression that it actually defines the ARIA crypto suits for
SRTP.

OK, we will revise the draft.

>>
>>2. Removal of AEAD_ARIA_128_GCM_8.
>>
>>Based on that this cipher is not meeting the expected security goals I
think it should be removed.

OK, we will remove AEAD_ARIA_128_GCM_8

>>
>>3. Section 2.
>>
>>Section heading "Patameters" should be changed to "Parameters".
>>

OK, You're right.

>>4. Section 2:
>>
>>For the CTR cipher suites depending on the answer on the main aria draft
you may have to change the lines for lifetime:
>>
>>"Default key lifetime            | 2^31 packets "
>>

See the answer for the comment of draft-ietf-avtcore-aria-srtp-08

>>Cheers
>>Magnus Westerlund

Sooner, we will revise the draft.

Sincerely,
Woo-Hwan Kim